[Réglé] Declaration of phpbb\template\twig\lexer::tokeniource) must be compatible with Twig [Réglé]

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.2.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.2

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Declaration of phpbb\template\twig\lexer::tokeniource) must be compatible with Twig [Réglé]

Messagepar Marquis73 » 10 Nov 2020 à 12:05

Bonjour,

J'ai tente de faire une migration de la v3.2.9 vers V3.3.2. Problème dès la première étape de l'installation :

General Error:
Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with Twig\Lexer::tokenize($code, $name = NULL)
in file C:\xxxxxxx\phpBB\install\update\new\phpbb\template\twig\lexer.php on line 16

J'ai bien mis le style Prosilver par défaut pourtant...

Merci pour votre aide
Modifié en dernier par Marquis73 le 13 Nov 2020 à 19:55, modifié 2 fois.
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Merci de modifier le titre du sujet afin qu'il soit plus explicite.

Messagepar Steph » 10 Nov 2020 à 12:07

Salut,

Désolé, mais nous avons tous des "problèmes" et ce n'est pas explicite du tout. Imagine si tout le monde indique ça en titre de sujet ....... Le message d'erreur ou au moins une partie suffisante est plus intéressant tout comme le garagiste ne se contente pas d'un "ma voiture à un problème", il faut un minimum d'informations utiles.

Pour la mise à jour : Mise à niveau de phpBB 3.2.x vers 3.3.x
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 20830
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: Merci de modifier le titre du sujet afin qu'il soit plus explicite.

Messagepar Marquis73 » 10 Nov 2020 à 12:12

J'ai mis un titre explicite mais il n'a pas l'air de ton convenir... Donc il serait plus simple que tu le mettes toi car je ne comprends pas ce que tu veux...
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Merci de modifier le titre du sujet afin qu'il soit plus explicite.

Messagepar Steph » 10 Nov 2020 à 12:16

Steph a écrit:Le message d'erreur ou au moins une partie suffisante est plus intéressant


Je l'ai modifié pour cette fois.

Et j'ai indiqué ceci dans l'autre sujet ainsi que celui-ci, qui aurait très probablement évité ce sujet.

Steph a écrit:Pour la mise à jour : Mise à niveau de phpBB 3.2.x vers 3.3.x
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 20830
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar On Stage » 11 Nov 2020 à 11:22

Salut
Comment cette mise à jour à été réalisé ?
Ceci est une chose importante à savoir car seul toi sait comment tu as tenté de faire ton passage en 3.3.2
Version de phpBB : 3.3.3
Version de php : 8.0.2
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 893
Enregistré le: 19 Mar 2018 à 16:04

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar Marquis73 » 11 Nov 2020 à 11:32

J'ai pris le pack de mise à jour 3.2.9 vers 3.3.2, j'ai mis le répertoire install dans la racine du forum puis j'ai lancé l'installation par /install
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar On Stage » 11 Nov 2020 à 11:34

Alors, un conseil, évite de faire ainsi. Télécharge le pack complet sur la page de téléchargement de ce forum, et suis scrupuleusement ce tuto pour la mise à jour : documentation/mise-a-jour/mise-a-niveau-de-phpbb-32x-vers-33x-a248-view.html
Version de phpBB : 3.3.3
Version de php : 8.0.2
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 893
Enregistré le: 19 Mar 2018 à 16:04

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar Marquis73 » 11 Nov 2020 à 12:20

Désolé je n'ai pas été assez précis mais oui j'ai désactivé tous les thèmes extensions et thème sauf prosilver par défaut, vérifié la bonne version des composants système / fonctions php / extensions php.

Par contre, j'ai utilisé l'archive de la mise à jour (lien archives des anciennes versions sur la page téléchargement) et pas du pack complet. Ce qui fait que je ne trouve pas les fichier config.php etc... à supprimer.
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar On Stage » 11 Nov 2020 à 12:58

J'entends bien mais je te dis de recommencer la mise à jour vers 3.3.2 en utilisant le pack complet
Version de phpBB : 3.3.3
Version de php : 8.0.2
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 893
Enregistré le: 19 Mar 2018 à 16:04

Re: Merci de modifier le titre du sujet afin qu'il soit plus explicite.

Messagepar Steph » 11 Nov 2020 à 13:01

Bis repetita

Steph a écrit:
Steph a écrit:Pour la mise à jour : Mise à niveau de phpBB 3.2.x vers 3.3.x
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 20830
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar Marquis73 » 11 Nov 2020 à 14:09

Je n'ai pas cette erreur en faisant cette méthode mais durant l'update, j'ai eu le message "No valid update directory was found, please make sure you uploaded the relevant files.". J'ai tout de meme continué avec l'update database qui s'est bien passé.

En retournant sur le forum après avoir supprimé /install, tous les styles sont explosés. Dans le PCA ça s'affiche correctement mais dans l'onglet Personnaliser j'ai l'erreur : "Impossible de récupérer les données du fichier de configuration pour le style : prosilver-tm".

On dirait qu'il a du mal à charger le prosilver par défaut. Pourtant, le style prosiver est bien dans le répertoire /styles.
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar On Stage » 11 Nov 2020 à 14:25

Et bien cela veut dire que tous les fichiers de phpBB 3.3.2 ne sont pas présents.
Version de phpBB : 3.3.3
Version de php : 8.0.2
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 893
Enregistré le: 19 Mar 2018 à 16:04

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar Marquis73 » 11 Nov 2020 à 14:33

J'ai tout suivi à la lettre. J'ai eu un conflit avec le répertoire \ext\phpbb\viglink qui existait déjà lors de la copie des fichiers. J'ai renommé l'ancien et mis le nouveau à la place. Il est indiqué qu'il faut fusionner les répertoires en cas de conflits mais windows ne me propose que écraser ou ignorer... J'ai donc substitué l'ancien au nouveau.
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar On Stage » 11 Nov 2020 à 14:35

Tu avais bien désactivé toutes les extensions ?
Version de phpBB : 3.3.3
Version de php : 8.0.2
Avatar de l’utilisateur
On Stage
Roi des posts
Roi des posts
 
Messages: 893
Enregistré le: 19 Mar 2018 à 16:04

Re: Declaration of phpbb\template\twig\lexer::tokenize(Twig\Source $source) must be compatible with

Messagepar Marquis73 » 11 Nov 2020 à 14:41

Oui
Marquis73
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 08 Avr 2020 à 15:23

Suivante

Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 2 invités